## com.trilead.ssh2.crypto.digest
Class SHA1

    java.lang.Object
      com.trilead.ssh2.crypto.digest.SHA1

All Implemented Interfaces:
  Digest

    public final class SHA1

extends java.lang.Object
implements Digest

SHA-1 implementation based on FIPS PUB 180-1. Highly optimized.

(http://www.itl.nist.gov/fipspubs/fip180-1.htm)

Constructor Summary
`SHA1()`

Method Summary
`void` `digest(byte[] out)`
`void` `digest(byte[] out, int off)`
`int` `getDigestLength()`
`static void` `main(java.lang.String[] args)`
`void` `reset()`
`void` `update(byte b)`
`void` `update(byte[] b)`
`void` `update(byte[] b, int off, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SHA1

    public SHA1()

Method Detail

### getDigestLength

    public final int getDigestLength()

  Specified by:
    `getDigestLength` in interface `Digest`

### reset

    public final void reset()

  Specified by:
    `reset` in interface `Digest`

### update

    public final void update(byte[] b)

  Specified by:
    `update` in interface `Digest`

### update

    public final void update(byte[] b,
                             int off,
                             int len)

  Specified by:
    `update` in interface `Digest`

### update

    public final void update(byte b)

  Specified by:
    `update` in interface `Digest`

### digest

    public final void digest(byte[] out)

  Specified by:
    `digest` in interface `Digest`

### digest

    public final void digest(byte[] out,
                             int off)

  Specified by:
    `digest` in interface `Digest`

### main

    public static void main(java.lang.String[] args)